Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_MediaBfileServer

    java.lang.Object
      oracle.ifs.server.S_MediaBfileServer

    public class S_MediaBfileServer

extends java.lang.Object

Performs operations on behalf of S_MediaBfile in the Oracle JVM ("JServer").

(Unpublished)

Field Summary
`protected static int` | `SUCCESS` Error code to indicate a successful operation.

Constructor Summary
`S_MediaBfileServer()`

Method Summary
`static int` | `createBfileFromBfile(java.lang.String[] error, java.lang.String contentTableName, java.lang.String columnName, java.lang.Long cid, java.lang.Long mediaId, java.lang.Long partitionValue, java.lang.String basePath, java.lang.String relativePath, java.lang.String fileName, oracle.sql.BFILE bfile, int bufferSize)` Creates a BFILE from another BFILE.
`static int` | `createBfileFromBlob(java.lang.String[] error, java.lang.String contentTableName, java.lang.String columnName, java.lang.Long cid, java.lang.Long mediaId, java.lang.Long partitionValue, java.lang.String basePath, java.lang.String relativePath, java.lang.String fileName, oracle.sql.BLOB blob, int bufferSize)` Creates a BFILE from a BLOB.
`static int` | `createBfileFromContentReference(java.lang.String[] error, java.lang.String contentTableName, java.lang.String columnName, java.lang.Long cid, java.lang.Long mediaId, java.lang.Long partitionValue, java.lang.String basePath, java.lang.String contentReference)` Creates a BFILE from a content reference.
`static void` | `deleteFilesInDefaultDirectory()` Deletes files in default BFILE directory for this schema created by a previous installation into this schema.
`static int` | `destroyContent(java.lang.String[] error, java.lang.String contentTableName, java.lang.String columnName, java.lang.Long cid, int deleteFileRule)` Destroys a BFILE.
`static void` | `dropDirectoryObjects()` Drops DIRECTORY objects created by a previous installation into this schema.
`static java.lang.String` | `getAbsolutePath(java.lang.String path)` Gets an absolute path, on the database-tier file system, for the specified path.
`static java.lang.String` | `getCanonicalPath(java.lang.String path)` Converts a specified path to a canonical absolute path.
`static void` | `updateMediaBfileBasePath()` Sets the BASEPATH of all MediaBfile instances to `$ORACLE_HOME/ifsbfiles/schemaName`, where `schemaName` is the lower-cased schema name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SUCCESS

    protected static final int SUCCESS

  Description copied from class: `S_MediaBfileServer`
  Error code to indicate a successful operation.

  See Also:
    Constant Field Values
  (Unpublished)

Constructor Detail

### S_MediaBfileServer

    public S_MediaBfileServer()

Method Detail

### createBfileFromBfile

    public static int createBfileFromBfile(java.lang.String[] error,
                                           java.lang.String contentTableName,
                                           java.lang.String columnName,
                                           java.lang.Long cid,
                                           java.lang.Long mediaId,
                                           java.lang.Long partitionValue,
                                           java.lang.String basePath,
                                           java.lang.String relativePath,
                                           java.lang.String fileName,
                                           oracle.sql.BFILE bfile,
                                           int bufferSize)

  Description copied from class: `S_MediaBfileServer`
  Creates a BFILE from another BFILE.

  Parameters:
    `error` - a String[1] into which the backtrace of any error is written
    `contentTableName` - the content table name
    `columnName` - the content table column name
    `cid` - the content id
    `mediaId` - the media id
    `partitionValue` - the partition value, or null if none
    `basePath` - the BASEPATH of the MediaBfile instance
    `relativePath` - the path to the content directory, relative to the base path
    `fileName` - the file name
    `bfile` - the source BFILE
    `bufferSize` - the maximum buffer size, in bytes
  Returns:
    the IfsException error code, or 0 is successful
  (Unpublished)

### createBfileFromBlob

    public static int createBfileFromBlob(java.lang.String[] error,
                                          java.lang.String contentTableName,
                                          java.lang.String columnName,
                                          java.lang.Long cid,
                                          java.lang.Long mediaId,
                                          java.lang.Long partitionValue,
                                          java.lang.String basePath,
                                          java.lang.String relativePath,
                                          java.lang.String fileName,
                                          oracle.sql.BLOB blob,
                                          int bufferSize)

  Description copied from class: `S_MediaBfileServer`
  Creates a BFILE from a BLOB.

  Parameters:
    `error` - a String[1] into which the backtrace of any error is written
    `contentTableName` - the content table name
    `columnName` - the content table column name
    `cid` - the content id
    `mediaId` - the media id
    `partitionValue` - the partition value, or null if none
    `basePath` - the BASEPATH of the MediaBfile instance
    `relativePath` - the path to the content directory, relative to the base path
    `fileName` - the file name
    `blob` - the BLOB
    `bufferSize` - the maximum buffer size, in bytes
  Returns:
    the IfsException error code, or 0 is successful
  (Unpublished)

### createBfileFromContentReference

    public static int createBfileFromContentReference(java.lang.String[] error,
                                                      java.lang.String contentTableName,
                                                      java.lang.String columnName,
                                                      java.lang.Long cid,
                                                      java.lang.Long mediaId,
                                                      java.lang.Long partitionValue,
                                                      java.lang.String basePath,
                                                      java.lang.String contentReference)

  Description copied from class: `S_MediaBfileServer`
  Creates a BFILE from a content reference.

  Parameters:
    `error` - a String[1] into which the backtrace of any error is written
    `contentTableName` - the content table name
    `columnName` - the content table column name
    `cid` - the content id
    `mediaId` - the media id
    `partitionValue` - the partition value, or null if none
    `basePath` - the BASEPATH of the MediaBfile instance
    `contentReference` - the content reference
  Returns:
    the IfsException error code, or 0 is successful
  (Unpublished)

### destroyContent

    public static int destroyContent(java.lang.String[] error,
                                     java.lang.String contentTableName,
                                     java.lang.String columnName,
                                     java.lang.Long cid,
                                     int deleteFileRule)

  Description copied from class: `S_MediaBfileServer`
  Destroys a BFILE.

  Parameters:
    `error` - a String[1] into which the backtrace of any error is written
    `contentTableName` - the content table name
    `columnName` - the content table column name
    `cid` - the content id
    `deleteFileRule` - 0 to retain the operating system file referenced by the BFILE; 1 to delete it
  (Unpublished)

### getAbsolutePath

    public static java.lang.String getAbsolutePath(java.lang.String path)

  Description copied from class: `S_MediaBfileServer`
  Gets an absolute path, on the database-tier file system, for the specified path.

  Parameters:
    `path` - a path, or null
  Returns:
    an absolute path to `path`; if `path` is already an absolute path it is returned unchanged; returns null if `path` is null
  (Unpublished)

### dropDirectoryObjects

    public static void dropDirectoryObjects()
                                     throws java.sql.SQLException

  Description copied from class: `S_MediaBfileServer`
  Drops DIRECTORY objects created by a previous installation into this schema.

  As a safeguard, this method may only be called before the MediaBfile classobject is created.

  Throws:
    `java.lang.IllegalStateException` - if the MediaBfile classobject exists
    `java.sql.SQLException` - if the operation otherwise fails
  (Unpublished)

### deleteFilesInDefaultDirectory

    public static void deleteFilesInDefaultDirectory()
                                              throws java.sql.SQLException,
                                                     java.io.IOException

  Description copied from class: `S_MediaBfileServer`
  Deletes files in default BFILE directory for this schema created by a previous installation into this schema.

  This method is only used in the development environment. As a safeguard, this method may only be called if there are no DIRECTORY objects for this schema. Only files with synthetic names (that is, whose names start with "`oracle_ifs_`") are deleted.

  Throws:
    `java.lang.IllegalStateException` - if a DIRECTORY object exists for this schema
    `java.sql.SQLException` - if the operation fails
    `java.io.IOException` - if the operation fails
  (Unpublished)

### updateMediaBfileBasePath

    public static void updateMediaBfileBasePath()
                                         throws java.sql.SQLException,
                                                java.io.IOException

  Description copied from class: `S_MediaBfileServer`
  Sets the BASEPATH of all MediaBfile instances to `$ORACLE_HOME/ifsbfiles/schemaName`, where `schemaName` is the lower-cased schema name.

  This method is only used in the development environment. As a safeguard, this method may only be called if there are no DIRECTORY objects for this schema.

  Throws:
    `java.lang.IllegalStateException` - if a DIRECTORY object exists for this schema
    `java.sql.SQLException` - if the operation fails
    `java.io.IOException` - if the operation fails
  (Unpublished)

### getCanonicalPath

    public static java.lang.String getCanonicalPath(java.lang.String path)

  Description copied from class: `S_MediaBfileServer`
  Converts a specified path to a canonical absolute path.

  Used during schema upgrade by StorageMigrateHsmContent.

  Parameters:
    `path` - a relative or absolute path
  Returns:
    a canonical absolute path that, on the database file system, resolves to the same item, or null if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD